#include "BSP.h"

void SPI0_Config()
{
	SSP_SPI_Config |= 0x5500;	//SPI0 module configuration - alternate functon selected
	/* Set pclk to same as cclk */
	VPBDIV=0x1;
}
void SPI0_INIT()
{
    S0SPCR |= (1<<5) | (1<<11);// | (1<<2);  //Master mode, 8 bit	 - SPI Control Register
    S0SPCCR = 0x88;            //156250 Hz clock	 - SPI Clock Counter Register
	/*The SPI0 rate may be calculated as: PCLK / SPCCR0 value. 
	The PCLK rate is CCLK /APB divider rate as determined by the APBDIV register contents.*/
}
void SPI0_Tx(unsigned char p)
{
	//unsigned int value;
    //value = (unsigned int)p;
    S0SPDR = p;	 ///SPI Data Register
    while(!(S0SPSR & 0x80));         //checks for data flag to go off  - SPI Status Register
} 
unsigned char SPI0_Rx()
{
    unsigned char p;
    while(!(S0SPSR & 0x80));          //waits till data is received.	  - SPI Status Register
    p = (unsigned char) S0SPDR;	  ///SPI Data Register
    return p;
}
